#ifndef NFC_H
#define NFC_H

#include <PubSubClient.h>
#include <DESFIre.h>
#define APDU_BUFFER_SIZE 256

class NFC
{
    private:
        
        MFRC522::Uid uid;
        bool cardSelected = false;

    public:
        DESFire* rfid;
        NFC(int pin_ss, int pin_rst);
        bool requestCard();
        bool selectCard();
        bool deselectCard();
        bool isCardLost();
        bool hasCardSelected();
        MFRC522::Uid getUID();

        MFRC522::StatusCode Transceive(byte* command, byte command_len, byte* response, byte* response_len);
};

#endif
